View Issue Details

IDProjectCategoryView StatusLast Update
12243Bug reportsRemoteControlpublic2019-04-30 09:10
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version2.64.x 
Fixed in Version4.0.0dev 
Summary12243: beforeTokenEmail didn't happen for remote control
DescriptionWorking on https://bugs.limesurvey.org/view.php?id=9668 : see beforeTokenEmail didn't happen for RC
Steps To ReproduceCreate a plugin to log email https://framagit.org/SondagePro-LimeSurvey-plugin/logAllMail
Send a token email via RC : look at log
TagsNo tags attached.
Complete LimeSurvey version number (& build)2.64.6
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Relationships

related to 09668 closedDenisChenu Feature requests attachment in beforeTokenEmail 

Activities

brammeleman

brammeleman

2018-08-10 17:37

reporter   ~48773

The docs (https://manual.limesurvey.org/BeforeTokenEmail) clearly tells you "This event can be used each time a token is send by the admin user via the Limesurvey _admin panel_."

The event is not fired when sending tokens with the API....

This is quite unexpected behavior. Why would the process of sending invitations differ between UI and API? The API is different re-implementation of the UI.
DenisChenu

DenisChenu

2019-03-20 16:12

developer   ~51072

https://github.com/Shnoulle/LimeSurvey-Shnoulle/commit/fa2bb0e7aa172a2f6f3c0078e7598b2cd25a21c1
DenisChenu

DenisChenu

2019-03-27 14:19

developer   ~51166

https://github.com/LimeSurvey/LimeSurvey/commit/de63762472630ab797db4ae65899a53c165eef70

Issue History

Date Modified Username Field Change
2017-04-02 12:34 DenisChenu New Issue
2017-04-02 14:38 DenisChenu Relationship added related to 09668
2018-05-23 12:17 LouisGac Assigned To => DenisChenu
2018-05-23 12:17 LouisGac Status new => assigned
2018-08-10 17:37 brammeleman Note Added: 48773
2019-03-20 16:12 DenisChenu Note Added: 51072
2019-03-27 14:19 DenisChenu Status assigned => resolved
2019-03-27 14:19 DenisChenu Resolution open => fixed
2019-03-27 14:19 DenisChenu Fixed in Version => 4.0.0dev
2019-03-27 14:19 DenisChenu Note Added: 51166
2019-04-30 09:10 c_schmitz Status resolved => closed